Subject: Re: [REGRESSION 00/04] Crash during resume of pcie bridge

From: Bert Karwatzki <[email-masked]>
Date: Fri, 07 Nov 2025 14:09:17 +0100

Am Mittwoch, dem 05.11.2025 um 15:31 -0600 schrieb Mario Limonciello (AMD) (kernel.org):
> 
> Once you're done with your bisect I'd be really interested if you can 
> still reproduce the splats and NULL pointer on the recovery path using 
> amd-staging-drm-next.
> > 

There are good news and bad news on this:

The good news: I found out that one can generate a large number of ACPI GPP0 events
and resumes by scrolling through a large pdf (1305 pages - Gravitation by Wheeler, Misner and Thorne)
using the arrow keys. This can generate these crashes quite fast.

The bad news: Using the method above I could generate these crashes in v6.13 and v6.14,
so all the previous bisecting was completely useless.

Version v6.12 has not (yet, ...) crashed so I might be able to bisect between v6.12 and v6.13.

Here's a short log of the recent tests and time to crash (with number of GPP0 wakeup events and GPU resumes)

Retest:
6.14.0-stable		booted 18:11:24, 6.11.2025, crashed 18:45:30 (~34min, 588 GPP0 events, 210 resumes)

Retest:
6.14.11-stable		booted 19:09:33, 6.11.2025, crashed 19:17:42 (~8min (new record!), 122 GPP0 events, 44 resumes)

Testing (this was tested by the old method of starting evolution by script):		
v6.13			booted 23:46:21, 6.11.2025, GPU lost 4:38, 7.11.2025 (~5h, 760 GPP0 events, 807 resumes) no crash

Retest:
v6.13			booted 9:12, 7.11.2025 crashed 11:25, 7.11.2025 (~1.25h, 351 GPP0 events, 330 resumes)

Testing:
v6.12.52		booted 11:27, 7.11.2025 no crash after 1h, 735 GPP0 events, 301 resumes

Testing:
v6.12			booted 13:00, 7.11.2025 no crash after 1h, 890 GPP0 events, 287 resumes

Bert Karwatzki